<?php
Class Tabla {	
	$caracteristicas_tablas = array( /*
									hipótesis: Quizás son las limitaciones que tiene SQL para 
									caracterizar tablas y columnas, la razón fundamental por la cual 
									surgió el concepto de "non-sql database". No por el SQL en sí mismo, 
									quizás, sino por las limitaciones de caracterización.
									
									Aquí detecto la necesidad que se tiene de poderse devolver. 
									
									 */
		"articulo"=>array(
							"default_order_by"=>"id ASC"
						 )
	);
	
	static public function default_order_by($tabla) {
		return $this->caracteristicas_tablas[$tabla]["default_order_by"];
	} //Fin de default_order
	
	static public function tabla_to_clase($tabla) {
		//Desde el nombre de la tabla pasamos al nombre de la clase; y desde el nombre de la clase 
		//pasamos a la clase abstracta (antes de instanciarse). 
		$nombre_clase = ucfirst($tabla);
		return Clase($nombre_clase, $info_contexto_en_error="correspondiente a la tabla $tabla");
	} //Fin de tabla_to_clase		
} //Fin de Tabla